Revert "aosp-merge: fix build/make path"

This reverts commit 07f76bcec747bd33ac465bc173234b5af15d44ef.

Change-Id: I7d9f50325d857ff6717d7c20b9cf2e80e4f48f4c
diff --git a/utils/aosp-forked-list b/utils/aosp-forked-list
index 3fc149d..f90b355 100644
--- a/utils/aosp-forked-list
+++ b/utils/aosp-forked-list
@@ -1,5 +1,5 @@
 bionic
-build/make
+build
 build/soong
 development
 external/e2fsprogs
diff --git a/utils/aosp-merge.sh b/utils/aosp-merge.sh
index f2c9eaa..7599b82 100755
--- a/utils/aosp-merge.sh
+++ b/utils/aosp-merge.sh
@@ -28,7 +28,6 @@
     project=`echo android_${path} | sed -e 's/\//\_/g'`
     if [ "${project}" == "android_build_make" ] ; then
         project="android_build"
-        buildpath="build"
     fi
 
     echo ""
@@ -47,15 +46,9 @@
     fi
 
     repo start ${branch_name} .
-    if [ buildpath="build" ] ; then
-        if ! git remote | grep "aosp" > /dev/null; then
-            git remote add aosp https://android.googlesource.com/platform/$buildpath > /dev/null
-        fi
-    else
 
-        if ! git remote | grep "aosp" > /dev/null; then
-            git remote add aosp https://android.googlesource.com/platform/$path > /dev/null
-        fi
+    if ! git remote | grep "aosp" > /dev/null; then
+        git remote add aosp https://android.googlesource.com/platform/$path > /dev/null
     fi
 
     git fetch --tags aosp
@@ -63,11 +56,7 @@
     #echo "====================================================================="
     #echo " Merging {$ref}"
     #echo "====================================================================="
-    if [ buildpath="build" ] ; then
-        git merge --squash $ref && git commit -m "Merge $ref";
-    else
-        git merge $ref;
-    fi
+    git merge $ref;
 
     cd - > /dev/null